Subject: Re: bug#37683: Eww doesn't render Arabic script correctly

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Oct 2019 20:44:52 +0300

> From: Nicholas Drozd <[email-masked]>
> Date: Thu, 10 Oct 2019 11:55:33 -0500
> Cc: [email-masked]
> 
> I discovered that the problem only occurs when text is NOT scaled --
> if the text is made larger or smaller by any amount (with
> `text-scale-increase` etc), the cursive characters are joined
> correctly.

Then I suggest to try a different font, because on my system I see the
same correct display even without the text scaling.  Or maybe you
should upgrade your HarfBuzz (1.7.2 is quite old).